package com.zhongdao.jlr.business.vo;

import com.ljh.excel.annotation.ColumnAnnotation;
import com.ljh.excel.bean.BaseBean;

/**
 * Created by TEC2 on 2017/6/7.
 */
public class UserOrderExcelVO extends BaseBean {

    @ColumnAnnotation("A")
    private String clubIdNumber;//案件号码
    @ColumnAnnotation("B")
    private String breakdownDate;// 开案日期
    @ColumnAnnotation("C")
    private String vin;// VIN
    @ColumnAnnotation("D")
    private String currentMileage;// 里程表读数
    @ColumnAnnotation("E")
    private String componentDescription;//  故障零件
    @ColumnAnnotation("F")
    private String jlrComponent;//
    @ColumnAnnotation("G")
    private String faultDescription;// 故障原因（英文）
    @ColumnAnnotation("H")
    private String vrtCode; //VRT_CODE
    @ColumnAnnotation("I")
    private String vfgCode;// VFG_CODE
    @ColumnAnnotation("J")
    private String completionDescription;// 维修结果 英文
    @ColumnAnnotation("K")
    private String verbatimComments;// 文字描述
    @ColumnAnnotation("L")
    private String initialDiagnosedFault;// level2  英文
    @ColumnAnnotation("M")
    private String attendingResource;//经销商代码
    @ColumnAnnotation("N")
    private String accepted;//
    @ColumnAnnotation("O")
    private String suppress;//
    @ColumnAnnotation("P")
    private String shortVin;// vin码后6位
    @ColumnAnnotation("Q")
    private String ctryOfIncident;  // 国家 chn
    @ColumnAnnotation("R")
    private String dealerCodeRepair;// 经销商代码
    @ColumnAnnotation("S")
    private String dealerNameRepair;// 经销商名字 中文

    public UserOrderExcelVO(String clubIdNumber, String breakdownDate, String vin, String currentMileage, String componentDescription, String jlrComponent, String faultDescription, String vrtCode, String vfgCode, String completionDescription, String verbatimComments, String initialDiagnosedFault, String attendingResource, String accepted, String suppress, String shortVin, String ctryOfIncident, String dealerCodeRepair, String dealerNameRepair) {
        this.clubIdNumber = clubIdNumber;
        this.breakdownDate = breakdownDate;
        this.vin = vin;
        this.currentMileage = currentMileage;
        this.componentDescription = componentDescription;
        this.jlrComponent = jlrComponent;
        this.faultDescription = faultDescription;
        this.vrtCode = vrtCode;
        this.vfgCode = vfgCode;
        this.completionDescription = completionDescription;
        this.verbatimComments = verbatimComments;
        this.initialDiagnosedFault = initialDiagnosedFault;
        this.attendingResource = attendingResource;
        this.accepted = accepted;
        this.suppress = suppress;
        this.shortVin = shortVin;
        this.ctryOfIncident = ctryOfIncident;
        this.dealerCodeRepair = dealerCodeRepair;
        this.dealerNameRepair = dealerNameRepair;
    }

    public UserOrderExcelVO() {

    }

    public String getClubIdNumber() {
        return clubIdNumber;
    }

    public void setClubIdNumber(String clubIdNumber) {
        this.clubIdNumber = clubIdNumber;
    }

    public String getBreakdownDate() {
        return breakdownDate;
    }

    public void setBreakdownDate(String breakdownDate) {
        this.breakdownDate = breakdownDate;
    }

    public String getVin() {
        return vin;
    }

    public void setVin(String vin) {
        this.vin = vin;
    }

    public String getCurrentMileage() {
        return currentMileage;
    }

    public void setCurrentMileage(String currentMileage) {
        this.currentMileage = currentMileage;
    }

    public String getComponentDescription() {
        return componentDescription;
    }

    public void setComponentDescription(String componentDescription) {
        this.componentDescription = componentDescription;
    }

    public String getJlrComponent() {
        return jlrComponent;
    }

    public void setJlrComponent(String jlrComponent) {
        this.jlrComponent = jlrComponent;
    }

    public String getFaultDescription() {
        return faultDescription;
    }

    public void setFaultDescription(String faultDescription) {
        this.faultDescription = faultDescription;
    }

    public String getVrtCode() {
        return vrtCode;
    }

    public void setVrtCode(String vrtCode) {
        this.vrtCode = vrtCode;
    }

    public String getVfgCode() {
        return vfgCode;
    }

    public void setVfgCode(String vfgCode) {
        this.vfgCode = vfgCode;
    }

    public String getCompletionDescription() {
        return completionDescription;
    }

    public void setCompletionDescription(String completionDescription) {
        this.completionDescription = completionDescription;
    }

    public String getVerbatimComments() {
        return verbatimComments;
    }

    public void setVerbatimComments(String verbatimComments) {
        this.verbatimComments = verbatimComments;
    }

    public String getInitialDiagnosedFault() {
        return initialDiagnosedFault;
    }

    public void setInitialDiagnosedFault(String initialDiagnosedFault) {
        this.initialDiagnosedFault = initialDiagnosedFault;
    }

    public String getAttendingResource() {
        return attendingResource;
    }

    public void setAttendingResource(String attendingResource) {
        this.attendingResource = attendingResource;
    }

    public String getAccepted() {
        return accepted;
    }

    public void setAccepted(String accepted) {
        this.accepted = accepted;
    }

    public String getSuppress() {
        return suppress;
    }

    public void setSuppress(String suppress) {
        this.suppress = suppress;
    }

    public String getShortVin() {
        return shortVin;
    }

    public void setShortVin(String shortVin) {
        this.shortVin = shortVin;
    }

    public String getCtryOfIncident() {
        return ctryOfIncident;
    }

    public void setCtryOfIncident(String ctryOfIncident) {
        this.ctryOfIncident = ctryOfIncident;
    }

    public String getDealerCodeRepair() {
        return dealerCodeRepair;
    }

    public void setDealerCodeRepair(String dealerCodeRepair) {
        this.dealerCodeRepair = dealerCodeRepair;
    }

    public String getDealerNameRepair() {
        return dealerNameRepair;
    }

    public void setDealerNameRepair(String dealerNameRepair) {
        this.dealerNameRepair = dealerNameRepair;
    }

    @Override
    public String toString() {
        return "UserOrderExcelVO{" +
                "clubIdNumber='" + clubIdNumber + '\'' +
                ", breakdownDate='" + breakdownDate + '\'' +
                ", vin='" + vin + '\'' +
                ", currentMileage='" + currentMileage + '\'' +
                ", componentDescription='" + componentDescription + '\'' +
                ", jlrComponent='" + jlrComponent + '\'' +
                ", faultDescription='" + faultDescription + '\'' +
                ", vrtCode='" + vrtCode + '\'' +
                ", vfgCode='" + vfgCode + '\'' +
                ", completionDescription='" + completionDescription + '\'' +
                ", verbatimComments='" + verbatimComments + '\'' +
                ", initialDiagnosedFault='" + initialDiagnosedFault + '\'' +
                ", attendingResource='" + attendingResource + '\'' +
                ", accepted='" + accepted + '\'' +
                ", suppress='" + suppress + '\'' +
                ", shortVin='" + shortVin + '\'' +
                ", ctryOfIncident='" + ctryOfIncident + '\'' +
                ", dealerCodeRepair='" + dealerCodeRepair + '\'' +
                ", dealerNameRepair='" + dealerNameRepair + '\'' +
                '}';
    }
}
